Package docking.widgets.table.constrainteditor

# Class UnsignedLongRangeEditorProvider

java.lang.Object
docking.widgets.table.constrainteditor.UnsignedLongRangeEditorProvider

All Implemented Interfaces:
  `EditorProvider<BigInteger>`

public class UnsignedLongRangeEditorProvider extends Object implements EditorProvider<BigInteger>
`EditorProvider` for the `UnsignedLongRangeConstraintEditor`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnsignedLongRangeEditorProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColumnConstraintEditor<BigInteger>`
  `getEditor(ColumnConstraint<BigInteger> columnConstraint, ColumnData<BigInteger> columnData)`
  Returns an editor initialized to the given columnConstraint.
  `BigInteger`
  `parseValue(String value, Object dataSource)`
  Parses the given string into a T object.
  `String`
  `toString(BigInteger value)`
  Converts the T value into a string that can be parsed back by the `EditorProvider.parseValue(String, Object)` method.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnsignedLongRangeEditorProvider

    public UnsignedLongRangeEditorProvider()

- ## Method Details

  - ### getEditor

    public ColumnConstraintEditor<BigInteger> getEditor(ColumnConstraint<BigInteger> columnConstraint, ColumnData<BigInteger> columnData)
    Description copied from interface: `EditorProvider`
    Returns an editor initialized to the given columnConstraint.
    Specified by:
      `getEditor` in interface `EditorProvider<BigInteger>`
    Parameters:
      `columnConstraint` - the constraint whose value is to be edited.
      `columnData` - the context of the data in the table.
    Returns:
      an editor initialized to the given columnConstraint.

  - ### parseValue

    public BigInteger parseValue(String value, Object dataSource)
    Description copied from interface: `EditorProvider`
    Parses the given string into a T object.
    Specified by:
      `parseValue` in interface `EditorProvider<BigInteger>`
    Parameters:
      `value` - the value to parse.
      `dataSource` - the table's context object.
    Returns:
      a new T object created by parsing the given string.

  - ### toString

    public String toString(BigInteger value)
    Description copied from interface: `EditorProvider`
    Converts the T value into a string that can be parsed back by the `EditorProvider.parseValue(String, Object)` method.
    Specified by:
      `toString` in interface `EditorProvider<BigInteger>`
    Parameters:
      `value` - the value to convert to a parsable string.
    Returns:
      The parsable string fromthe T value.